<template>
    <div class="content-button-left" :style="buttonStyle" v-show="canDisplayPreviousButton" @click.prevent="decrementIndex()">
        <a class="prev btn btn-circle waves-effect waves-light" :style="style">
            <i class="ti-angle-left" :style="this.dw < 768 ? 'color:#20b9ae' :'color:white'"></i>
        </a>
    </div>
</template>


<script>

import { mapGetters, mapActions } from 'vuex'

export default {
    computed: {
        ...mapGetters(['session', 'sidebar']),
        canDisplayPreviousButton() {
            return this.session.slide_index > 0
        },
        dw(){
            return $(window).width()
        },
        buttonStyle(){
            let obj = {
                position: 'fixed',
                top: '84%',
                left: this.sidebar || this.dw < 768 ? '12%' :'35%'
            }

            return obj
        },
        style(){
            let ob = {
                backgroundColor: this.dw < 768 ? '#20b9ae30' :'#20b9ae',
                border:'solid 1px #20b9ae'
            }

            return ob
        }
    },
    methods: {
        ...mapActions(['decrementIndex'])
    }
}
</script>
